

if not exists (select * from Company where CompanyNo=1)
	insert into Company(CompanyNo,CompanyCode,CompanyName,SystemFlag)
	select 1 as CompanyNo,'1' as CompanyCode,N'' as CompanyName,1 as SystemFlag
GO

if not exists (select * from EducationBackground where EducationBackgroundNo = 1)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 1,N'Сѧ',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 2)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 2,N'',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 3)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 3,N'/ר',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 4)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 4,N'ר/ר',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 5)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 5,N'',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 6)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 6,N'˶ʿ',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 7)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 7,N'ʿ',convert(varchar,GetDate(),120)
if not exists (select * from EducationBackground where EducationBackgroundNo = 8)
	insert into EducationBackground(EducationBackgroundNo,EducationBackgroundName,EditDate) select 8,N'ʿ',convert(varchar,GetDate(),120)
GO

if not exists (select * from Color where ColorNo = 1)
	insert into Color(ColorNo,ColorCode,ColorName,EditDate,SystemFlag) 
	select 1,'',N'None',convert(varchar,GetDate(),120),1
GO

if not exists (select * from SizeType where SizeTypeNo = 1)
	insert into SizeType(SizeTypeNo,SizeTypeCode,SizeTypeName,EditDate,SystemFlag) 
	select 1,'1',N'None',convert(varchar,GetDate(),120),1 as SystemFlag
GO
if not exists (select * from SizeType where SizeTypeNo = 100)
	insert into SizeType(SizeTypeNo,SizeTypeCode,SizeTypeName,EditDate) 
	select 100,'100','SML',convert(varchar,GetDate(),120)
GO


if not exists (select * from Size where SizeNo = 1)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate,SystemFlag) 
	select 1,'',N'None',convert(varchar,GetDate(),120),1
	
if not exists (select * from Size where SizeNo = 100)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 100,'XXXS','XXXS',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 101)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 101,'XXS','XXS',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 102)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 102,'XS','XS',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 103)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 103,'S','S',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 104)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 104,'M','M',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 105)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 105,'L','L',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 106)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 106,'XL','XL',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 107)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 107,'XXL','XXL',convert(varchar,GetDate(),120)
if not exists (select * from Size where SizeNo = 108)
	insert into Size(SizeNo,SizeCode,SizeName,EditDate) 
	select 108,'XXXL','XXXL',convert(varchar,GetDate(),120)
GO


insert into SizeGroup(SizeTypeNo,SizeNo,SerialNo,SystemFlag,EditDate)
select t.SizeTypeNo,a.SizeNo,(a.SizeNo%100)+1, 1 as SystemFlag, convert(varchar,GetDate(),120) 
from Size a
	left join SizeType t on t.SizeTypeNo = 1
	left join SizeGroup g on t.SizeTypeNo = g.SizeTypeNo and a.SizeNo = g.SizeNo  
where a.SizeNo = 1 and g.SizeTypeNo is null
GO

insert into SizeGroup(SizeTypeNo,SizeNo,SerialNo,SystemFlag,EditDate)
select t.SizeTypeNo,a.SizeNo,(a.SizeNo%100)+1, 0 as SystemFlag, convert(varchar,GetDate(),120) 
from Size a
	left join SizeType t on t.SizeTypeNo = 100
	left join SizeGroup g on t.SizeTypeNo = g.SizeTypeNo and a.SizeNo = g.SizeNo  
where a.SizeNo >= 100 and a.SizeNo <= 108 and g.SizeTypeNo is null
GO



if not exists (select * from Account where AccountNo = 1)
	insert into Account(AccountNo,AccountCode,AccountName,EditDate, SystemFlag)
	select 1,'Cash',N'ֽ',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from Account where AccountNo = 10)
	insert into Account(AccountNo,AccountCode,AccountName,EditDate, SystemFlag)
	select 10,'Alipay',N'֧',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO
if not exists (select * from Account where AccountNo = 20)
	insert into Account(AccountNo,AccountCode,AccountName,EditDate, SystemFlag)
	select 20,'WeChat',N'΢',convert(varchar,GetDate(),120) as EditDate,1 SystemFlag
GO



if not exists (select * from Employee where EmployeeCode= 'admin')
	insert into Employee(EmployeeNo,EmployeeCode,EmployeeName,password,SystemFlag,CanLoginSystem,CanViewFinanceField)
	select 1 as EmployeeNo,'admin' as EmployeeCode, 'Admin' as EmployeeName,'' as password, 1 as SystemFlag, 1 as CanLoginSystem, 1 as CanViewFinanceField
GO



insert into CustomerGrade(CustomerGradeNo,CustomerGradeCode,CustomerGradeName,DiscountRate)
select a.CustomerGradeNo, a.CustomerGradeNo as CustomerGradeCode, N'ͻȼ'+cast(a.CustomerGradeNo as varchar), a.CustomerGradeNo
from (
	select cast(1 as int) as CustomerGradeNo 
	union all select 2 union all select 3 union all select 4 union all select 5 
) a
	left join CustomerGrade b on a.CustomerGradeNo=b.CustomerGradeNo
where b.CustomerGradeNo is null

GO


if not exists(select * from Customer where CustomerNo = 100)
	insert into Customer(CustomerNo,CustomerCode,CustomerName,SystemFlag)
	select 100, 'RetailCustomer',N'δͻ' as CustomerName,1 as SystemFlag
GO



if not exists (select * from PromotionType where PromotionTypeNo = 10)
	insert into PromotionType(PromotionTypeNo,PromotionTypeCode,PromotionTypeName,SystemFlag)
	select 10,10,N'ۿ',1 SystemFlag
GO

if not exists (select * from PromotionType where PromotionTypeNo = 20)
	insert into PromotionType(PromotionTypeNo,PromotionTypeCode,PromotionTypeName,SystemFlag)
	select 20,20,N'',1 SystemFlag
GO



if not exists (select * from SystemParameter where SystemParameterNo = 10037)
	insert into SystemParameter(SystemParameterNo,SystemParameterCode,SystemParameterName,Unit,SystemParameterValue,Remark)
	select 10037,'CustomerPointsExchangeDepositOrderRate', N'ͻֶһı','','100',N'һ1ҪĿͻ'
go

if not exists (select * from SystemParameter where SystemParameterNo = 13037)
	insert into SystemParameter(SystemParameterNo,SystemParameterCode,SystemParameterName,Unit,SystemParameterValue,Remark)
	select 13037,'GoodsTransportationDays', N'Ʒת','Day','3',N'Ʒƽת'
go

if not exists (select * from SystemParameter where SystemParameterNo = 14037)
	insert into SystemParameter(SystemParameterNo,SystemParameterCode,SystemParameterName,Unit,SystemParameterValue,Remark)
	select 14037,'PriceIncludeTaxByDefault', N'۸ĬǺ˰۸',Null,'1',N'0: 1:'
go

if not exists (select * from SystemParameter where SystemParameterNo = 14270)
	insert into SystemParameter(SystemParameterNo,SystemParameterCode,SystemParameterName,Unit,SystemParameterValue,Remark)
	select 14270,'DefaultTaxRate', N'Ĭ˰','%','',N'Ʒδд˰ʱȡĬ˰'
go

if not exists (select * from SystemParameter where SystemParameterNo = 21062)
	insert into SystemParameter(SystemParameterNo,SystemParameterCode,SystemParameterName,Unit,SystemParameterValue,Remark)
	select 21062,'TimeIntervalForRefreshMessageCount', N'ʱˢϢʱ','','10',N'ʱˢϢʱ'
go


if not exists (select * from WarehouseStorageLocationInOutStrategy where WarehouseTypeNo = 1 and InOutTypeNo = 1)
	insert into WarehouseStorageLocationInOutStrategy(WarehouseTypeNo,InOutTypeNo,StorageLocationWithLargeQuantityPriority)
	select 1, 1, 1
go

if not exists (select * from WarehouseStorageLocationInOutStrategy where WarehouseTypeNo = 1 and InOutTypeNo = 2)
	insert into WarehouseStorageLocationInOutStrategy(WarehouseTypeNo,InOutTypeNo,StorageLocationWithLargeQuantityPriority)
	select 1, 2, 0
go

if not exists (select * from WarehouseStorageLocationInOutStrategy where WarehouseTypeNo = 2 and InOutTypeNo = 1)
	insert into WarehouseStorageLocationInOutStrategy(WarehouseTypeNo,InOutTypeNo,StorageLocationWithLargeQuantityPriority)
	select 2, 1, 1
go

if not exists (select * from WarehouseStorageLocationInOutStrategy where WarehouseTypeNo = 2 and InOutTypeNo = 2)
	insert into WarehouseStorageLocationInOutStrategy(WarehouseTypeNo,InOutTypeNo,StorageLocationWithLargeQuantityPriority)
	select 2, 2, 0
go

